# Interface CyberLinkTransaction

interface CyberLinkTransaction {
transaction: {
block: {
timestamp: string;
};
memo?: string;
success: boolean;
};
transaction_hash: string;
type: "cyber.graph.v1beta1.MsgCyberlink";
value: CyberLinkValue;
}

#### Hierarchy

- GenericTransaction<CyberLinkValue>
  - CyberLinkTransaction

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:63

#####
Index

### Properties

transaction
transaction_hash
type
value

##
Properties

### transaction

transaction: {
block: {
timestamp: string;
};
memo?: string;
success: boolean;
}

Inherited from GenericTransaction.transaction

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:9

### transaction_hash

transaction_hash: string

Inherited from GenericTransaction.transaction_hash

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:8

### type

type: "cyber.graph.v1beta1.MsgCyberlink"

Overrides GenericTransaction.type

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:65

### value

value: CyberLinkValue

Inherited from GenericTransaction.value

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/dataSource/blockchain/types.ts:6